QGIS Application - Bug report #6302
QGIS WFS Server Geometry Type not recognize by ArcGIS
2012-09-04 08:56 AM - René-Luc RelLuc

Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15598
Description

After the resolution of #6116, Giovanni Manghi testing QGIS WFS Server with GvSIG, uDIG and ArcGIS.

ArcGIS doesn't recognize the Geometry Type, because ArcGIS uses DescribeFeatureType to identifying Geometry Type and QGIS WFS
Server return that geometry is just GeometryProperty Type.

Subtasks:
Bug report # 6485: QGIS WFS Server GML is not valid Closed

Related issues:
Related to QGIS Application - Bug report # 6116: QGIS WFS server doesn't work... Closed 2012-07-28

History

#1 - 2012-09-04 09:28 AM - René-Luc ReLuc
- File 6302 added

#2 - 2012-09-06 12:08 PM - Giovanni Manghi

The DescribeFeature Request is different in Mapserver and QGIS server. The Mapserver service works fine also on Arcgis and uDig.

here is mapserver

http://mapserver.uevora.pt/cgi-bin/mapserv?map=/home/mapserver/mapfiles/ue_wfs.map&#38;REQUEST=DescribeFeature Type&#38;TYPENAME=ev
ra&#38;SERVICE=WFS&#38;VERSION=1.0.0

here is qgis server

http://mapserver.uevora.pt/cgi-bin/ggis_mapserv.fcgi?map=/home/mapserver/mapfiles/ue_wfs.qgs&#38;REQUEST=DescribeFeatureType&#38;TYPEN
ME=evora&#38;SERVICE=WFS&#38;VERSION=1.0.0

#3 - 2012-09-06 12:08 PM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#4 - 2012-09-18 12:04 AM - René-Luc ReLuc

- File 6302 _v2 added

In addition to indicate the geometry type in the DescribeFeatureType request, this patch adds boundedBy to FeatureCollection and Feature element.
#5 - 2012-09-18 04:25 AM - Giovanni Manghi

René-Luc RelLuc wrote:

In addition to indicate the geometry type in the DescribeFeature Type request, this patch adds boundedBy to FeatureCollection and Feature element.

thanks! | will try it asap. Can you make a pull request on github?

#6 - 2012-09-20 07:42 AM - René-Luc ReLuc
commit 593da452193f31d3941b56a64369c692b866bf40

for patch V2

#7 - 2012-09-26 11:25 AM - Giovanni Manghi

- File 50.png added

- File 51.png added

René-Luc RelLuc wrote:

commit 593da452193f31d3941b56a64369c692b866bf40

for patch V2

Hi René-Luc,

I have just installed qgis master and made a simple WFS service, then tested it with Arcgis 9.3 with the data interoperability extension.

When creating the connection AG shows the layer list correctly, but then it just show a "no geometry". See attached images.

#8 - 2012-11-14 02:44 AM - René-Luc ReLuc

This new commit "0ddc034968065046f301d260900d6e9fa46d2ef0":commit:0ddc034968065046f301d260900d6e9fa46d2ef0 probably solved tue issue

#9 - 2012-11-18 05:25 AM - Giovanni Manghi

René-Luc RelLuc wrote:

This new commit "0ddc034968065046f301d260900d6e9fa46d2ef0".commit:0ddc034968065046f301d260900d6e9fa46d2ef0 probably solved tue

issue

Hi Again René-Luc,

| just tested again the latest QGIS master available in the nightly build repo, and unfortunately still no joy with AG as WFS client.

The issue is always the same, it shows the table list, but then when establishing the connection (to actually choose what layer to add to the project) it just

says "no geometry".
cheers!

#10 - 2013-06-25 06:12 AM - René-Luc ReLuc

Giovanni Manghi : does the bug still exists ?

#11 - 2013-07-02 03:04 AM - René-Luc ReLuc

- Resolution set to fixed
- Status changed from Open to Closed

Files

6302 1.69 KB 2012-09-04 René-Luc RelLuc
6302_v2 15.4 KB 2012-09-17 René-Luc RelLuc
50.png 64.5 KB 2012-09-26 Giovanni Manghi
51.png 60 KB 2012-09-26 Giovanni Manghi
